Subject: Re: 1.3.16-1: Apache 1.3.24 not rotating/lockup problem
From: Stipe Tolj <[email-masked]>
To: Paul Nolan <[email-masked]>
Cc: [email-masked], Corinna Vinschen <[email-masked]>
Date: Wed, 27 Nov 2002 17:55:10 +0100

Hi Paul,

first thanks for all the debugging information.

> I've just updated my copy of cygwin to 1.3.16-1 and have found
> that apache does not rotate through the running processes anymore
> it just serves from the one process.
> This can results in "page not found errors"
> 
> The version of cygwin I had before was 1.3.12-2. Apache worked fine
> and rotated through the running processes as it should.
> NOTE: This can be seen by looking at /server-status with
> ExtendedStatus On
> 
> My httpd.conf configuration sets KeepAlive Off, hence each request
> should use a new process.

yep, right.

> I've tested it with
> Apache 1.3.27
> Apache 1.3.24 (The one included in the cygwin release)
> Apache 1.3.22
> and they all show the same behavior.

I guess we have some cygwin related problem, maybe it's the accept()
serialization itself.

I have still Cygwin 1.3.14-2 running on my development laptop. Anyway
I'm about to backup that installation and installa a fresh "latest"
cygwin tree to see how things are behaving with that.

> In addition my configuration had
> MaxRequestsPerChild  1000
> which is suppose to restart the process after 1000 requests but
> instead the process simply dies and apache locks up.
> 
> I guess the main apache process that is suppose to arbitrate the
> requests is not working properly with cygwin 1.3.16-1
> 
> Has anyone else seen similar problems with apache?
> Has anything changed in cygwin that would cause such behavior?

That exactly the question I'd like to hear from the core Cygwin
people. Corinna, may you pick this issue up?!

Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Vogelsanger Weg 80
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/